# Set_Vertex_XXX

## Functions

void | `HIC_Set_Vertex_Symbol`
void | `HIC_Set_Vertex_Name`
void | `HIC_Set_Vertex_Size`
void | `HIC_Set_Variable_Vertex_Size`
void | `HIC_Set_Vertex_Color`
void | `HIC_Set_Vertex_Contrast_Color`
void | `HIC_Set_Internal_Vertex_Color`

## Detailed Description

group Set_Vertex_XXX

## Function Documentation

void HIC_Set_Vertex_Symbol(HIC_Rendition *nr, HIC_RGBAS32 nsymbol)

  This function changes the vertex symbol.

  Parameters

    - nr – A pointer to a const HIC_Rendition.

    - nsymbol – A HIC_RGBAS32 int.

void HIC_Set_Vertex_Name(HIC_Rendition *nr, char *nname)

  This function sets the vertex symbol using the passed in string value.

  Parameters

    - nr – A pointer to a const HIC_Rendition.

    - nname – A const char pointer, a user-defined glyph or marker symbol such as “<>”.

void HIC_Set_Vertex_Size(HIC_Rendition *nr, float nsize)

  This function changes the vertex size to the passed in float value.

  Parameters

    - nr – A pointer to a const HIC_Rendition.

    - nsize – A float.

void HIC_Set_Variable_Vertex_Size(HIC_Rendition *nr, HIC_Size_Units nunits, float nsize)

  This function changes the vertex size.

  Parameters

    - nr – A pointer to a const HIC_Rendition.

    - nunits – A HIC_Size_Units.

    - nsize – A float.

void HIC_Set_Vertex_Color(HIC_Rendition *nr, HIC_RGB *rgb)

  This function sets the vertex color.

  Parameters

    - nr – A pointer to a const HIC_Rendition.

    - rgb – A pointer to a HIC_RGB, a structure of three floats, each between zero and one.

void HIC_Set_Vertex_Contrast_Color(HIC_Rendition *nr, HIC_RGB *rgb)

  This function sets the vertex contrast color.

  Parameters

    - nr – A pointer to a const HIC_Rendition.

    - rgb – A pointer to a HIC_RGB, a structure of three floats, each between zero and one.

void HIC_Set_Internal_Vertex_Color(HIC_Rendition *nr, HIC_RGBAS32 internal)

  This function sets the internal vertex color.

  Parameters

    - nr – A pointer to a const HIC_Rendition.

    - internal – A HIC_RGBAS32 int.